# Interface SignatureTypeProvider

All Known Implementing Classes:
  `AbstractSignatureTypeProvider, DefaultSignatureTypeProvider`

public interface SignatureTypeProvider
Provider of `SignatureType`.

## Method Summary

Modifier and Type
Method
Description
`SignatureType`
`getDefaultType()`
`SignatureType`
`getTypeForExtension(String extension)`
`boolean`
`hasTypeForExtension(String extension)`
`void`
`setDefaultType(String extension)`

## Method Details

### getDefaultType

SignatureType getDefaultType()

### setDefaultType

void setDefaultType(String extension)

### getTypeForExtension

SignatureType getTypeForExtension(String extension)

### hasTypeForExtension

boolean hasTypeForExtension(String extension)